GET Match Replay Info
https://{cluster}.pp.sgp.pvp.net/match-history-query/v3/products/valorant/players/{puuid}/infoTypes/{type}?id={match id}&id={match id} Get download URLs for match replay files. Supports fetching multiple matches at once by repeating the id query parameter.
{type} can be:
SUMMARY— returns signed URLs to JSON files with match dataREPLAY— returns signed URLs to.vrfreplay files playable in the Valorant client
The {puuid} must be your own or a friend's — otherwise access will be denied.
Headers
-
Authorization: Bearer {auth token}
URL Parameters
-
{cluster}There are 4 SGP clusters:
Cluster ID Region euc1Europe usw2North America / Brazil / LATAM / PBE apse1Asia Pacific / Oceania apne1Japan / Korea -
{puuid}A player's UUID -
{type}SUMMARYreturns match data JSON URLs,REPLAYreturns.vrfreplay file URLs -
{match id}A match ID. Can be repeated multiple times to fetch several matches in one request. Match IDs can be obtained from the Match History endpoint.
Other Variables
-
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type MatchReplayInfoResponse = {
/** Number of matches returned */
total: number;
matchFileUrlsMap: {
[x: string]: string;
};
}; {
"total": 165057026541749,
"matchFileUrlsMap": {
"014c1ffB-A661-247f-dF1E-adD298feFDdF": "https://delectable-hepatitis.biz/"
}
}